Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium
Class DefaultSeleneseCommand

    java.lang.Object
      com.thoughtworks.selenium.DefaultSeleneseCommand

All Implemented Interfaces:
  SeleneseCommand

public class DefaultSeleneseCommand
extends java.lang.Object
implements SeleneseCommand

The default implementation of the SeleneseCommand interface

Version:
  $Revision: 1040 $
Author:
  Paul Hammant
See Also:
  `SeleneseCommand`

Constructor Summary
`DefaultSeleneseCommand(java.lang.String command, java.lang.String[] args)`

Method Summary
`java.lang.String` | `getCommandURLString()` Return the URL query string which will be sent to the browser
`static SeleneseCommand` | `parse(java.lang.String inputLine)` Factory method to create a SeleneseCommand from a wiki-style input string
`java.lang.String` | `toString()`
`static java.lang.String` | `urlEncode(java.lang.String text)` Encodes the text as an URL using UTF-8.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultSeleneseCommand

    public DefaultSeleneseCommand(java.lang.String command,
                                  java.lang.String[] args)

Method Detail

### getCommandURLString

    public java.lang.String getCommandURLString()

  Description copied from interface: `SeleneseCommand`
  Return the URL query string which will be sent to the browser

  Specified by:
    `getCommandURLString` in interface `SeleneseCommand`

### toString

    public java.lang.String toString()

### parse

    public static SeleneseCommand parse(java.lang.String inputLine)

  Factory method to create a SeleneseCommand from a wiki-style input string

### urlEncode

    public static java.lang.String urlEncode(java.lang.String text)

  Encodes the text as an URL using UTF-8.

  Parameters:
    `text` - the text too encode
  Returns:
    the encoded URI string
  See Also:
    `URLEncoder.encode(java.lang.String, java.lang.String)`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.